/**
 * ==========
 * pgExplorer
 * ==========
 * This source file is subject to the license specified in the
 * LICENSE file that is included in this package.
 *
 * @copyright 2000, 2001 Keith Wong
 * @author Keith Wong
 * @email keith@e-magine.com.au
 */

#ifndef VISUALPSQL_H
#define VISUALPSQL_H

#include <qmainwindow.h>
#include "mainlistview.h"
#include "descriptionviewer.h"
#include "../config/applicationsettings.h"

class VisualPsql: public QMainWindow
{
	Q_OBJECT
public:
  VisualPsql();
  ~VisualPsql();

	/**
	 * This function is used to return the application settings for the program.
	 */
	ApplicationSettings & getApplicationSettings();
	
protected:
	ApplicationSettings m_objApplicationSettings;	
	
	MainListView * m_poListView;
	DescriptionViewer * m_poDescViewer;
	
	void closeEvent(QCloseEvent * qobjCloseEvent);
	
	
private slots:
	void mnuConnectNewGroup();
  void mnuConnectExit();
private:

};


#endif

